OpenVDB: Magnitude< InGridT, MaskGridType, InterruptT >::Functor Struct Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Magnitude< InGridT, MaskGridType, InterruptT >::Functor Struct Reference

`#include <openvdb/tools/GridOperators.h>`

## Public Member Functions
| Functor (const InGridT &grid, const MaskGridType *mask, bool threaded, InterruptT *interrupt)
template<typename MapT >
void | operator() (const MapT &map)

## Public Attributes
const bool | mThreaded
const InGridType & | mInputGrid
OutGridType::Ptr | mOutputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Constructor & Destructor Documentation

## ◆ Functor()

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Functor | ( | const InGridT & | grid,
|  | const MaskGridType * | mask,
|  | bool | threaded,
|  | InterruptT * | interrupt
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
template<typename MapT >

void operator() | ( | const MapT & | map | ) |
| inline

## Member Data Documentation

## ◆ mInputGrid

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const InGridType& mInputGrid

## ◆ mInterrupt

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

InterruptT* mInterrupt

## ◆ mMask

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const MaskGridType* mMask

## ◆ mOutputGrid

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

OutGridType::Ptr mOutputGrid

## ◆ mThreaded

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const bool mThreaded